CVE-2002-0473
CVSS10.0
发布时间 :2002-08-12 00:00:00
修订时间 :2016-09-16 21:59:13
NMCO    

[原文]db.php in phpBB 2.0 (aka phpBB2) RC-3 and earlier allows remote attackers to execute arbitrary code from remote servers via the phpbb_root_path parameter.


[CNNVD]phpBB db.php模块phpbb_root_path远程文件包含漏洞(CNNVD-200208-190)

        
        phpBB是一种非常流行的WEB论坛程序。
        phpBB处理用户请求时存在输入验证,远程攻击者可能利用此漏洞以Web进程权限在服务器上执行任意命令。
        phpBB的db.php脚本没有正确验证phpbb_root_path参数的输入,允许攻击者通过包含本地或外部资源的任意文件导致执行任意代码。成功攻击要求打开了register_globals。
        <**>

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:phpbb_group:phpbb:2.0_rc2
cpe:/a:phpbb_group:phpbb:2.0_rc3
cpe:/a:phpbb_group:phpbb:2.0_rc1
cpe:/a:phpbb_group:phpbb:2.0_beta1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0473
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0473
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200208-190
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/bugtraq/2002-03/0221.html
(UNKNOWN)  BUGTRAQ  20020318 Re: phpBB2 remote execution command (fwd)
http://archives.neohapsis.com/archives/bugtraq/2002-03/0229.html
(UNKNOWN)  BUGTRAQ  20020318 phpBB2 remote execution command
http://online.securityfocus.com/archive/82/262600
(VENDOR_ADVISORY)  VULN-DEV  20020318 phpBB2 remote execution command
http://phpbb.sourceforge.net/phpBB2/viewtopic.php?t=9483
(UNKNOWN)  MISC  http://phpbb.sourceforge.net/phpBB2/viewtopic.php?t=9483
http://prdownloads.sourceforge.net/phpbb/phpBB-2.0.1.zip
(UNKNOWN)  CONFIRM  http://prdownloads.sourceforge.net/phpbb/phpBB-2.0.1.zip
http://www.iss.net/security_center/static/8476.php
(VENDOR_ADVISORY)  XF  phpbb-db-command-execution(8476)
http://www.securityfocus.com/bid/4380
(VENDOR_ADVISORY)  BID  4380

- 漏洞信息

phpBB db.php模块phpbb_root_path远程文件包含漏洞
危急 未知
2002-08-12 00:00:00 2005-05-02 00:00:00
远程  
        
        phpBB是一种非常流行的WEB论坛程序。
        phpBB处理用户请求时存在输入验证,远程攻击者可能利用此漏洞以Web进程权限在服务器上执行任意命令。
        phpBB的db.php脚本没有正确验证phpbb_root_path参数的输入,允许攻击者通过包含本地或外部资源的任意文件导致执行任意代码。成功攻击要求打开了register_globals。
        <**>

- 公告与补丁

        厂商补丁:
        phpBB Group
        -----------
        目前厂商已经在2.0 RC4及以后版本的软件中修复了这个安全问题,请到厂商的主页下载:
        
        http://www.phpbb.com/

- 漏洞信息

4268
phpBB db.php Arbitrary Command Execution
Remote / Network Access Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

phpBB contains a flaw that allows a remote attacker to execute arbitrary commands. The issue is due to the "db.php" script not sanitizing input to the phpbb_root_path parameter. With a specially crafted request, an attacker can use this to execute their own arbitrary commands.

- 时间线

2002-03-18 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2.0 RC4 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站